<?php declare(strict_types=1);
/**
 * @author Ryan Spaeth <rspaeth@spaethtech.com>
 * @copyright 2025 - Spaeth Technologies, Archous Networks
 */

use SpaethTech\UCRM\SDK\Plugin;
use SpaethTech\UCRM\SDK\Server;

require_once __DIR__ . "/bootstrap.php";

$server = new Server();
$plugin = new Plugin($server);

// Perform another registration to the provisioner.
$server->register($plugin, $plugin->getConfig()->get("provisioner_url"));

// Workflow Trigger
$response = $plugin->executeWorkflow("plugin/removed", [], true);
